### Method

# Atspi Accessible get_attributes_as_array

#### Declaration [src]

    GArray*
    atspi_accessible_get_attributes_as_array (
      AtspiAccessible* obj
      GError** error
    )

#### Description [src]

Gets a `GArray` representing any assigned name-value pair attributes or annotations for this object. For typographic, textual, or textually-semantic attributes, see atspi_text_get_attributes_as_array instead.

#### Return value

Type: An array of `utf8`

The name-value-pair attributes assigned to this object.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.
Each element is a NUL terminated UTF-8 string.